<?php
session_start();
require_once('../config.php');
require_once($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL & ~E_DEPRECATED & ~E_NOTICE);


$traza=(isset($_GET['traza']) && $_GET['traza']=='si');




//En este caso, una copia del proxy está alojada bajo el mismo arbol de directorios que el propio SGA, aunque las peticiones finales al proxy pueden realizarse a través del proxy alojado externamente
//Esto es para poder utilizar aquí la misma libreria PeticionWSBase para hacer peticiones a un ws de terceros completamente externo


require_once($rutaPhp.$rutaHtml.'/librerias/proxy/src/Services/Webservices.php');
use ProxiumWXfrm\Proxium\PeticionWSBase;

$peticionWS=new PeticionWSBase;

$url='https://ocitenant-dev.alerce.cloud/vector/api/manager/consignment-notes/EMP@P2600054/status';
$apiKey='ocitenant_44a56d07-d5c2-4ee4-8c89-1655bb22c532';

$cabeceras = [
    'Content-Type: application/json',
    'apikey: '.$apiKey
];

$peticionWS->setUrl($url);
$peticionWS->setCabeceras($cabeceras);

$resultado=$peticionWS->lanzaGet();

if($traza) {
	echo '<p>'.$url.'</p>';
	print_r($cabeceras);
	echo '<hr>';
	print_r($resultado);
}


$resultadoJson=json_decode($resultado);

if ($resultadoJson!==null) {

	//print_r($resultadoJson);

	if(isset($resultadoJson->status)) echo $resultadoJson->status;

}





?>
